cabal-debian

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

cabal-debian

Ryan
Hello,

I'm trying to compile a cabal package to debian with cabal-debian and
having some trouble.

git clone git://github.com/wavewave/hoodle.git
cd hoodle/
cabal-debian --debianize --ghc --maintainer Ryan

then I get a the following error:
cabal-debian: cabal-debian: No bundled package list for ghc Version
{versionBranch = [7,4,2], versionTags = []}

shouldn't cabal-debian be pulling the package list from the hoodle.cabal
file?

Thanks,
Ryan

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20130201/6ed11e70/attachment-0001.htm>

Reply | Threaded
Open this post in threaded view
|

cabal-debian

Brandon Allbery
On Fri, Feb 1, 2013 at 12:01 AM, Ryan <rdesfo at gmail.com> wrote:

> then I get a the following error:
> cabal-debian: cabal-debian: No bundled package list for ghc Version
> {versionBranch = [7,4,2], versionTags = []}
>
> shouldn't cabal-debian be pulling the package list from the hoodle.cabal
> file?
>

That error sounds like it's looking for the system package.conf database,
not the package's own dependencies.

--
brandon s allbery kf8nh                               sine nomine associates
allbery.b at gmail.com                                  ballbery at sinenomine.net
unix, openafs, kerberos, infrastructure, xmonad        http://sinenomine.net
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20130201/68593d94/attachment.htm>